Package net.shibboleth.utilities.java.support.codec

# Class Base32Support

java.lang.Object
net.shibboleth.utilities.java.support.codec.Base32Support

@Deprecated(since="9.0.0", forRemoval=true) public final class Base32Support extends Object
Deprecated, for removal: This API element is subject to removal in a future version.
Stub for deprecation.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`Base32Support()`
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static byte[]`
`decode(String data)`
Deprecated, for removal: This API element is subject to removal in a future version.
Decodes (un)chunked Base32 encoded data.
`static String`
`encode(byte[] data, boolean chunked)`
Deprecated, for removal: This API element is subject to removal in a future version.
Base32 encodes the given binary data.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Base32Support

private Base32Support()
Deprecated, for removal: This API element is subject to removal in a future version.
Constructor.

## Method Details

### encode

@Nonnull public static String encode(@Nonnull byte[] data, boolean chunked) throws EncodingException
Deprecated, for removal: This API element is subject to removal in a future version.
Base32 encodes the given binary data.

Parameters:
  `data` - data to encode
  `chunked` - whether the encoded data should be chunked or not
Returns:
  the base32 encoded data
Throws:
  `EncodingException` - when any `Exception` is thrown from the underlying encoder, or the output is null.

### decode

@Nonnull public static byte[] decode(@Nonnull String data) throws DecodingException
Deprecated, for removal: This API element is subject to removal in a future version.
Decodes (un)chunked Base32 encoded data.

Parameters:
  `data` - Base32 encoded data
Returns:
  the decoded data
Throws:
  `DecodingException` - when an `Exception` is thrown from the underlying decoder, or the output is null.